com.h3c.util.persistence.cassandra.index

## Class IndexEntryHandler.IndexEntry

- java.lang.Object
- - com.h3c.util.persistence.cassandra.index.IndexEntryHandler.IndexEntry

- All Implemented Interfaces:
    Serializable, Comparable<IndexEntryHandler.IndexEntry>
  Enclosing class:
    IndexEntryHandler<K extends Serializable>

      public static class IndexEntryHandler.IndexEntry
      extends Object
      implements Serializable, Comparable<IndexEntryHandler.IndexEntry>

  Composite column name to keep the indexed attribute (or column name in the main column family) and a field to make the indexed value unique to avoid overriding previous values.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `IndexEntryHandler.IndexEntry()` Default constructor needed to recreate the object when it is read from the column family.
    `protected` | `IndexEntryHandler.IndexEntry(String indexedColumnName, String timestamp)` Creates a composite value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(IndexEntryHandler.IndexEntry other)`
    `boolean` | `equals(Object obj)`
    `String` | `getIndexedColumnName()` Gets the name of the indexed attribute (or column name in the main column family).
    `String` | `getTimestamp()` Gets the timestamp of the update.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexEntryHandler.IndexEntry

          public IndexEntryHandler.IndexEntry()

      Default constructor needed to recreate the object when it is read from the column family.

    - #### IndexEntryHandler.IndexEntry

          protected IndexEntryHandler.IndexEntry(String indexedColumnName,
                                      String timestamp)

      Creates a composite value.
      Parameters:
        `indexedColumnName` - indexed attribute (or column name in the main column family).
        `timestamp` - timestamp.

  - ### Method Detail

    - #### getIndexedColumnName

          public String getIndexedColumnName()

      Gets the name of the indexed attribute (or column name in the main column family).
      Returns:
        the indexed column name.

    - #### getTimestamp

          public String getTimestamp()

      Gets the timestamp of the update.
      Returns:
        the timestamp of the update.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(IndexEntryHandler.IndexEntry other)

      Specified by:
        `compareTo` in interface `Comparable<IndexEntryHandler.IndexEntry>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.